Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network238.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
238.0.0.0
Broadcast address
238.255.255.255
First usable
238.0.0.1
Last usable
238.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EE000000 · Integer 3992977408 to 4009754623
Reverse DNS zone
238.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101110..00000000.00000000.00000000238.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network11101110..00000000.00000000.00000000238.0.0.0
Broadcast11101110..11111111.11111111.11111111238.255.255.255
Split into smaller subnets/16

238.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1238.0.0.0/16238.0.0.1 to 238.0.255.254238.0.255.25565,534
2238.1.0.0/16238.1.0.1 to 238.1.255.254238.1.255.25565,534
3238.2.0.0/16238.2.0.1 to 238.2.255.254238.2.255.25565,534
4238.3.0.0/16238.3.0.1 to 238.3.255.254238.3.255.25565,534
5238.4.0.0/16238.4.0.1 to 238.4.255.254238.4.255.25565,534
6238.5.0.0/16238.5.0.1 to 238.5.255.254238.5.255.25565,534
7238.6.0.0/16238.6.0.1 to 238.6.255.254238.6.255.25565,534
8238.7.0.0/16238.7.0.1 to 238.7.255.254238.7.255.25565,534
9238.8.0.0/16238.8.0.1 to 238.8.255.254238.8.255.25565,534
10238.9.0.0/16238.9.0.1 to 238.9.255.254238.9.255.25565,534
11238.10.0.0/16238.10.0.1 to 238.10.255.254238.10.255.25565,534
12238.11.0.0/16238.11.0.1 to 238.11.255.254238.11.255.25565,534
13238.12.0.0/16238.12.0.1 to 238.12.255.254238.12.255.25565,534
14238.13.0.0/16238.13.0.1 to 238.13.255.254238.13.255.25565,534
15238.14.0.0/16238.14.0.1 to 238.14.255.254238.14.255.25565,534
16238.15.0.0/16238.15.0.1 to 238.15.255.254238.15.255.25565,534
17238.16.0.0/16238.16.0.1 to 238.16.255.254238.16.255.25565,534
18238.17.0.0/16238.17.0.1 to 238.17.255.254238.17.255.25565,534
19238.18.0.0/16238.18.0.1 to 238.18.255.254238.18.255.25565,534
20238.19.0.0/16238.19.0.1 to 238.19.255.254238.19.255.25565,534
21238.20.0.0/16238.20.0.1 to 238.20.255.254238.20.255.25565,534
22238.21.0.0/16238.21.0.1 to 238.21.255.254238.21.255.25565,534
23238.22.0.0/16238.22.0.1 to 238.22.255.254238.22.255.25565,534
24238.23.0.0/16238.23.0.1 to 238.23.255.254238.23.255.25565,534
25238.24.0.0/16238.24.0.1 to 238.24.255.254238.24.255.25565,534
26238.25.0.0/16238.25.0.1 to 238.25.255.254238.25.255.25565,534
27238.26.0.0/16238.26.0.1 to 238.26.255.254238.26.255.25565,534
28238.27.0.0/16238.27.0.1 to 238.27.255.254238.27.255.25565,534
29238.28.0.0/16238.28.0.1 to 238.28.255.254238.28.255.25565,534
30238.29.0.0/16238.29.0.1 to 238.29.255.254238.29.255.25565,534
31238.30.0.0/16238.30.0.1 to 238.30.255.254238.30.255.25565,534
32238.31.0.0/16238.31.0.1 to 238.31.255.254238.31.255.25565,534
33238.32.0.0/16238.32.0.1 to 238.32.255.254238.32.255.25565,534
34238.33.0.0/16238.33.0.1 to 238.33.255.254238.33.255.25565,534
35238.34.0.0/16238.34.0.1 to 238.34.255.254238.34.255.25565,534
36238.35.0.0/16238.35.0.1 to 238.35.255.254238.35.255.25565,534
37238.36.0.0/16238.36.0.1 to 238.36.255.254238.36.255.25565,534
38238.37.0.0/16238.37.0.1 to 238.37.255.254238.37.255.25565,534
39238.38.0.0/16238.38.0.1 to 238.38.255.254238.38.255.25565,534
40238.39.0.0/16238.39.0.1 to 238.39.255.254238.39.255.25565,534
41238.40.0.0/16238.40.0.1 to 238.40.255.254238.40.255.25565,534
42238.41.0.0/16238.41.0.1 to 238.41.255.254238.41.255.25565,534
43238.42.0.0/16238.42.0.1 to 238.42.255.254238.42.255.25565,534
44238.43.0.0/16238.43.0.1 to 238.43.255.254238.43.255.25565,534
45238.44.0.0/16238.44.0.1 to 238.44.255.254238.44.255.25565,534
46238.45.0.0/16238.45.0.1 to 238.45.255.254238.45.255.25565,534
47238.46.0.0/16238.46.0.1 to 238.46.255.254238.46.255.25565,534
48238.47.0.0/16238.47.0.1 to 238.47.255.254238.47.255.25565,534
49238.48.0.0/16238.48.0.1 to 238.48.255.254238.48.255.25565,534
50238.49.0.0/16238.49.0.1 to 238.49.255.254238.49.255.25565,534
51238.50.0.0/16238.50.0.1 to 238.50.255.254238.50.255.25565,534
52238.51.0.0/16238.51.0.1 to 238.51.255.254238.51.255.25565,534
53238.52.0.0/16238.52.0.1 to 238.52.255.254238.52.255.25565,534
54238.53.0.0/16238.53.0.1 to 238.53.255.254238.53.255.25565,534
55238.54.0.0/16238.54.0.1 to 238.54.255.254238.54.255.25565,534
56238.55.0.0/16238.55.0.1 to 238.55.255.254238.55.255.25565,534
57238.56.0.0/16238.56.0.1 to 238.56.255.254238.56.255.25565,534
58238.57.0.0/16238.57.0.1 to 238.57.255.254238.57.255.25565,534
59238.58.0.0/16238.58.0.1 to 238.58.255.254238.58.255.25565,534
60238.59.0.0/16238.59.0.1 to 238.59.255.254238.59.255.25565,534
61238.60.0.0/16238.60.0.1 to 238.60.255.254238.60.255.25565,534
62238.61.0.0/16238.61.0.1 to 238.61.255.254238.61.255.25565,534
63238.62.0.0/16238.62.0.1 to 238.62.255.254238.62.255.25565,534
64238.63.0.0/16238.63.0.1 to 238.63.255.254238.63.255.25565,534
65238.64.0.0/16238.64.0.1 to 238.64.255.254238.64.255.25565,534
66238.65.0.0/16238.65.0.1 to 238.65.255.254238.65.255.25565,534
67238.66.0.0/16238.66.0.1 to 238.66.255.254238.66.255.25565,534
68238.67.0.0/16238.67.0.1 to 238.67.255.254238.67.255.25565,534
69238.68.0.0/16238.68.0.1 to 238.68.255.254238.68.255.25565,534
70238.69.0.0/16238.69.0.1 to 238.69.255.254238.69.255.25565,534
71238.70.0.0/16238.70.0.1 to 238.70.255.254238.70.255.25565,534
72238.71.0.0/16238.71.0.1 to 238.71.255.254238.71.255.25565,534
73238.72.0.0/16238.72.0.1 to 238.72.255.254238.72.255.25565,534
74238.73.0.0/16238.73.0.1 to 238.73.255.254238.73.255.25565,534
75238.74.0.0/16238.74.0.1 to 238.74.255.254238.74.255.25565,534
76238.75.0.0/16238.75.0.1 to 238.75.255.254238.75.255.25565,534
77238.76.0.0/16238.76.0.1 to 238.76.255.254238.76.255.25565,534
78238.77.0.0/16238.77.0.1 to 238.77.255.254238.77.255.25565,534
79238.78.0.0/16238.78.0.1 to 238.78.255.254238.78.255.25565,534
80238.79.0.0/16238.79.0.1 to 238.79.255.254238.79.255.25565,534
81238.80.0.0/16238.80.0.1 to 238.80.255.254238.80.255.25565,534
82238.81.0.0/16238.81.0.1 to 238.81.255.254238.81.255.25565,534
83238.82.0.0/16238.82.0.1 to 238.82.255.254238.82.255.25565,534
84238.83.0.0/16238.83.0.1 to 238.83.255.254238.83.255.25565,534
85238.84.0.0/16238.84.0.1 to 238.84.255.254238.84.255.25565,534
86238.85.0.0/16238.85.0.1 to 238.85.255.254238.85.255.25565,534
87238.86.0.0/16238.86.0.1 to 238.86.255.254238.86.255.25565,534
88238.87.0.0/16238.87.0.1 to 238.87.255.254238.87.255.25565,534
89238.88.0.0/16238.88.0.1 to 238.88.255.254238.88.255.25565,534
90238.89.0.0/16238.89.0.1 to 238.89.255.254238.89.255.25565,534
91238.90.0.0/16238.90.0.1 to 238.90.255.254238.90.255.25565,534
92238.91.0.0/16238.91.0.1 to 238.91.255.254238.91.255.25565,534
93238.92.0.0/16238.92.0.1 to 238.92.255.254238.92.255.25565,534
94238.93.0.0/16238.93.0.1 to 238.93.255.254238.93.255.25565,534
95238.94.0.0/16238.94.0.1 to 238.94.255.254238.94.255.25565,534
96238.95.0.0/16238.95.0.1 to 238.95.255.254238.95.255.25565,534
97238.96.0.0/16238.96.0.1 to 238.96.255.254238.96.255.25565,534
98238.97.0.0/16238.97.0.1 to 238.97.255.254238.97.255.25565,534
99238.98.0.0/16238.98.0.1 to 238.98.255.254238.98.255.25565,534
100238.99.0.0/16238.99.0.1 to 238.99.255.254238.99.255.25565,534
101238.100.0.0/16238.100.0.1 to 238.100.255.254238.100.255.25565,534
102238.101.0.0/16238.101.0.1 to 238.101.255.254238.101.255.25565,534
103238.102.0.0/16238.102.0.1 to 238.102.255.254238.102.255.25565,534
104238.103.0.0/16238.103.0.1 to 238.103.255.254238.103.255.25565,534
105238.104.0.0/16238.104.0.1 to 238.104.255.254238.104.255.25565,534
106238.105.0.0/16238.105.0.1 to 238.105.255.254238.105.255.25565,534
107238.106.0.0/16238.106.0.1 to 238.106.255.254238.106.255.25565,534
108238.107.0.0/16238.107.0.1 to 238.107.255.254238.107.255.25565,534
109238.108.0.0/16238.108.0.1 to 238.108.255.254238.108.255.25565,534
110238.109.0.0/16238.109.0.1 to 238.109.255.254238.109.255.25565,534
111238.110.0.0/16238.110.0.1 to 238.110.255.254238.110.255.25565,534
112238.111.0.0/16238.111.0.1 to 238.111.255.254238.111.255.25565,534
113238.112.0.0/16238.112.0.1 to 238.112.255.254238.112.255.25565,534
114238.113.0.0/16238.113.0.1 to 238.113.255.254238.113.255.25565,534
115238.114.0.0/16238.114.0.1 to 238.114.255.254238.114.255.25565,534
116238.115.0.0/16238.115.0.1 to 238.115.255.254238.115.255.25565,534
117238.116.0.0/16238.116.0.1 to 238.116.255.254238.116.255.25565,534
118238.117.0.0/16238.117.0.1 to 238.117.255.254238.117.255.25565,534
119238.118.0.0/16238.118.0.1 to 238.118.255.254238.118.255.25565,534
120238.119.0.0/16238.119.0.1 to 238.119.255.254238.119.255.25565,534
121238.120.0.0/16238.120.0.1 to 238.120.255.254238.120.255.25565,534
122238.121.0.0/16238.121.0.1 to 238.121.255.254238.121.255.25565,534
123238.122.0.0/16238.122.0.1 to 238.122.255.254238.122.255.25565,534
124238.123.0.0/16238.123.0.1 to 238.123.255.254238.123.255.25565,534
125238.124.0.0/16238.124.0.1 to 238.124.255.254238.124.255.25565,534
126238.125.0.0/16238.125.0.1 to 238.125.255.254238.125.255.25565,534
127238.126.0.0/16238.126.0.1 to 238.126.255.254238.126.255.25565,534
128238.127.0.0/16238.127.0.1 to 238.127.255.254238.127.255.25565,534
129238.128.0.0/16238.128.0.1 to 238.128.255.254238.128.255.25565,534
130238.129.0.0/16238.129.0.1 to 238.129.255.254238.129.255.25565,534
131238.130.0.0/16238.130.0.1 to 238.130.255.254238.130.255.25565,534
132238.131.0.0/16238.131.0.1 to 238.131.255.254238.131.255.25565,534
133238.132.0.0/16238.132.0.1 to 238.132.255.254238.132.255.25565,534
134238.133.0.0/16238.133.0.1 to 238.133.255.254238.133.255.25565,534
135238.134.0.0/16238.134.0.1 to 238.134.255.254238.134.255.25565,534
136238.135.0.0/16238.135.0.1 to 238.135.255.254238.135.255.25565,534
137238.136.0.0/16238.136.0.1 to 238.136.255.254238.136.255.25565,534
138238.137.0.0/16238.137.0.1 to 238.137.255.254238.137.255.25565,534
139238.138.0.0/16238.138.0.1 to 238.138.255.254238.138.255.25565,534
140238.139.0.0/16238.139.0.1 to 238.139.255.254238.139.255.25565,534
141238.140.0.0/16238.140.0.1 to 238.140.255.254238.140.255.25565,534
142238.141.0.0/16238.141.0.1 to 238.141.255.254238.141.255.25565,534
143238.142.0.0/16238.142.0.1 to 238.142.255.254238.142.255.25565,534
144238.143.0.0/16238.143.0.1 to 238.143.255.254238.143.255.25565,534
145238.144.0.0/16238.144.0.1 to 238.144.255.254238.144.255.25565,534
146238.145.0.0/16238.145.0.1 to 238.145.255.254238.145.255.25565,534
147238.146.0.0/16238.146.0.1 to 238.146.255.254238.146.255.25565,534
148238.147.0.0/16238.147.0.1 to 238.147.255.254238.147.255.25565,534
149238.148.0.0/16238.148.0.1 to 238.148.255.254238.148.255.25565,534
150238.149.0.0/16238.149.0.1 to 238.149.255.254238.149.255.25565,534
151238.150.0.0/16238.150.0.1 to 238.150.255.254238.150.255.25565,534
152238.151.0.0/16238.151.0.1 to 238.151.255.254238.151.255.25565,534
153238.152.0.0/16238.152.0.1 to 238.152.255.254238.152.255.25565,534
154238.153.0.0/16238.153.0.1 to 238.153.255.254238.153.255.25565,534
155238.154.0.0/16238.154.0.1 to 238.154.255.254238.154.255.25565,534
156238.155.0.0/16238.155.0.1 to 238.155.255.254238.155.255.25565,534
157238.156.0.0/16238.156.0.1 to 238.156.255.254238.156.255.25565,534
158238.157.0.0/16238.157.0.1 to 238.157.255.254238.157.255.25565,534
159238.158.0.0/16238.158.0.1 to 238.158.255.254238.158.255.25565,534
160238.159.0.0/16238.159.0.1 to 238.159.255.254238.159.255.25565,534
161238.160.0.0/16238.160.0.1 to 238.160.255.254238.160.255.25565,534
162238.161.0.0/16238.161.0.1 to 238.161.255.254238.161.255.25565,534
163238.162.0.0/16238.162.0.1 to 238.162.255.254238.162.255.25565,534
164238.163.0.0/16238.163.0.1 to 238.163.255.254238.163.255.25565,534
165238.164.0.0/16238.164.0.1 to 238.164.255.254238.164.255.25565,534
166238.165.0.0/16238.165.0.1 to 238.165.255.254238.165.255.25565,534
167238.166.0.0/16238.166.0.1 to 238.166.255.254238.166.255.25565,534
168238.167.0.0/16238.167.0.1 to 238.167.255.254238.167.255.25565,534
169238.168.0.0/16238.168.0.1 to 238.168.255.254238.168.255.25565,534
170238.169.0.0/16238.169.0.1 to 238.169.255.254238.169.255.25565,534
171238.170.0.0/16238.170.0.1 to 238.170.255.254238.170.255.25565,534
172238.171.0.0/16238.171.0.1 to 238.171.255.254238.171.255.25565,534
173238.172.0.0/16238.172.0.1 to 238.172.255.254238.172.255.25565,534
174238.173.0.0/16238.173.0.1 to 238.173.255.254238.173.255.25565,534
175238.174.0.0/16238.174.0.1 to 238.174.255.254238.174.255.25565,534
176238.175.0.0/16238.175.0.1 to 238.175.255.254238.175.255.25565,534
177238.176.0.0/16238.176.0.1 to 238.176.255.254238.176.255.25565,534
178238.177.0.0/16238.177.0.1 to 238.177.255.254238.177.255.25565,534
179238.178.0.0/16238.178.0.1 to 238.178.255.254238.178.255.25565,534
180238.179.0.0/16238.179.0.1 to 238.179.255.254238.179.255.25565,534
181238.180.0.0/16238.180.0.1 to 238.180.255.254238.180.255.25565,534
182238.181.0.0/16238.181.0.1 to 238.181.255.254238.181.255.25565,534
183238.182.0.0/16238.182.0.1 to 238.182.255.254238.182.255.25565,534
184238.183.0.0/16238.183.0.1 to 238.183.255.254238.183.255.25565,534
185238.184.0.0/16238.184.0.1 to 238.184.255.254238.184.255.25565,534
186238.185.0.0/16238.185.0.1 to 238.185.255.254238.185.255.25565,534
187238.186.0.0/16238.186.0.1 to 238.186.255.254238.186.255.25565,534
188238.187.0.0/16238.187.0.1 to 238.187.255.254238.187.255.25565,534
189238.188.0.0/16238.188.0.1 to 238.188.255.254238.188.255.25565,534
190238.189.0.0/16238.189.0.1 to 238.189.255.254238.189.255.25565,534
191238.190.0.0/16238.190.0.1 to 238.190.255.254238.190.255.25565,534
192238.191.0.0/16238.191.0.1 to 238.191.255.254238.191.255.25565,534
193238.192.0.0/16238.192.0.1 to 238.192.255.254238.192.255.25565,534
194238.193.0.0/16238.193.0.1 to 238.193.255.254238.193.255.25565,534
195238.194.0.0/16238.194.0.1 to 238.194.255.254238.194.255.25565,534
196238.195.0.0/16238.195.0.1 to 238.195.255.254238.195.255.25565,534
197238.196.0.0/16238.196.0.1 to 238.196.255.254238.196.255.25565,534
198238.197.0.0/16238.197.0.1 to 238.197.255.254238.197.255.25565,534
199238.198.0.0/16238.198.0.1 to 238.198.255.254238.198.255.25565,534
200238.199.0.0/16238.199.0.1 to 238.199.255.254238.199.255.25565,534
201238.200.0.0/16238.200.0.1 to 238.200.255.254238.200.255.25565,534
202238.201.0.0/16238.201.0.1 to 238.201.255.254238.201.255.25565,534
203238.202.0.0/16238.202.0.1 to 238.202.255.254238.202.255.25565,534
204238.203.0.0/16238.203.0.1 to 238.203.255.254238.203.255.25565,534
205238.204.0.0/16238.204.0.1 to 238.204.255.254238.204.255.25565,534
206238.205.0.0/16238.205.0.1 to 238.205.255.254238.205.255.25565,534
207238.206.0.0/16238.206.0.1 to 238.206.255.254238.206.255.25565,534
208238.207.0.0/16238.207.0.1 to 238.207.255.254238.207.255.25565,534
209238.208.0.0/16238.208.0.1 to 238.208.255.254238.208.255.25565,534
210238.209.0.0/16238.209.0.1 to 238.209.255.254238.209.255.25565,534
211238.210.0.0/16238.210.0.1 to 238.210.255.254238.210.255.25565,534
212238.211.0.0/16238.211.0.1 to 238.211.255.254238.211.255.25565,534
213238.212.0.0/16238.212.0.1 to 238.212.255.254238.212.255.25565,534
214238.213.0.0/16238.213.0.1 to 238.213.255.254238.213.255.25565,534
215238.214.0.0/16238.214.0.1 to 238.214.255.254238.214.255.25565,534
216238.215.0.0/16238.215.0.1 to 238.215.255.254238.215.255.25565,534
217238.216.0.0/16238.216.0.1 to 238.216.255.254238.216.255.25565,534
218238.217.0.0/16238.217.0.1 to 238.217.255.254238.217.255.25565,534
219238.218.0.0/16238.218.0.1 to 238.218.255.254238.218.255.25565,534
220238.219.0.0/16238.219.0.1 to 238.219.255.254238.219.255.25565,534
221238.220.0.0/16238.220.0.1 to 238.220.255.254238.220.255.25565,534
222238.221.0.0/16238.221.0.1 to 238.221.255.254238.221.255.25565,534
223238.222.0.0/16238.222.0.1 to 238.222.255.254238.222.255.25565,534
224238.223.0.0/16238.223.0.1 to 238.223.255.254238.223.255.25565,534
225238.224.0.0/16238.224.0.1 to 238.224.255.254238.224.255.25565,534
226238.225.0.0/16238.225.0.1 to 238.225.255.254238.225.255.25565,534
227238.226.0.0/16238.226.0.1 to 238.226.255.254238.226.255.25565,534
228238.227.0.0/16238.227.0.1 to 238.227.255.254238.227.255.25565,534
229238.228.0.0/16238.228.0.1 to 238.228.255.254238.228.255.25565,534
230238.229.0.0/16238.229.0.1 to 238.229.255.254238.229.255.25565,534
231238.230.0.0/16238.230.0.1 to 238.230.255.254238.230.255.25565,534
232238.231.0.0/16238.231.0.1 to 238.231.255.254238.231.255.25565,534
233238.232.0.0/16238.232.0.1 to 238.232.255.254238.232.255.25565,534
234238.233.0.0/16238.233.0.1 to 238.233.255.254238.233.255.25565,534
235238.234.0.0/16238.234.0.1 to 238.234.255.254238.234.255.25565,534
236238.235.0.0/16238.235.0.1 to 238.235.255.254238.235.255.25565,534
237238.236.0.0/16238.236.0.1 to 238.236.255.254238.236.255.25565,534
238238.237.0.0/16238.237.0.1 to 238.237.255.254238.237.255.25565,534
239238.238.0.0/16238.238.0.1 to 238.238.255.254238.238.255.25565,534
240238.239.0.0/16238.239.0.1 to 238.239.255.254238.239.255.25565,534
241238.240.0.0/16238.240.0.1 to 238.240.255.254238.240.255.25565,534
242238.241.0.0/16238.241.0.1 to 238.241.255.254238.241.255.25565,534
243238.242.0.0/16238.242.0.1 to 238.242.255.254238.242.255.25565,534
244238.243.0.0/16238.243.0.1 to 238.243.255.254238.243.255.25565,534
245238.244.0.0/16238.244.0.1 to 238.244.255.254238.244.255.25565,534
246238.245.0.0/16238.245.0.1 to 238.245.255.254238.245.255.25565,534
247238.246.0.0/16238.246.0.1 to 238.246.255.254238.246.255.25565,534
248238.247.0.0/16238.247.0.1 to 238.247.255.254238.247.255.25565,534
249238.248.0.0/16238.248.0.1 to 238.248.255.254238.248.255.25565,534
250238.249.0.0/16238.249.0.1 to 238.249.255.254238.249.255.25565,534
251238.250.0.0/16238.250.0.1 to 238.250.255.254238.250.255.25565,534
252238.251.0.0/16238.251.0.1 to 238.251.255.254238.251.255.25565,534
253238.252.0.0/16238.252.0.1 to 238.252.255.254238.252.255.25565,534
254238.253.0.0/16238.253.0.1 to 238.253.255.254238.253.255.25565,534
255238.254.0.0/16238.254.0.1 to 238.254.255.254238.254.255.25565,534
256238.255.0.0/16238.255.0.1 to 238.255.255.254238.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses